org.eclnt.jsfserver.elements.componentnodes

## Class SCROLLAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCROLLAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCROLLAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCROLLAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCROLLAREANode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindColspan(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindScrollmode(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindX(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `bindY(IDynamicContentBindingObject value)`
    `SCROLLAREANode` | `setAnimatechangeofsize(boolean value)`
    `SCROLLAREANode` | `setAnimatechangeofsize(java.lang.String value)`
    `SCROLLAREANode` | `setAttributemacro(java.lang.String value)`
    `SCROLLAREANode` | `setColspan(int value)`
    `SCROLLAREANode` | `setColspan(java.lang.String value)`
    `SCROLLAREANode` | `setComment(java.lang.String value)`
    `SCROLLAREANode` | `setConfiginfo(java.lang.String value)`
    `SCROLLAREANode` | `setHeight(int value)`
    `SCROLLAREANode` | `setHeight(java.lang.String value)`
    `SCROLLAREANode` | `setId(java.lang.String value)`
    `SCROLLAREANode` | `setReference(java.lang.String value)`
    `SCROLLAREANode` | `setRendered(boolean value)`
    `SCROLLAREANode` | `setRendered(java.lang.String value)`
    `SCROLLAREANode` | `setRowalignmenty(java.lang.String value)`
    `SCROLLAREANode` | `setScrollmode(java.lang.String value)`
    `SCROLLAREANode` | `setShadow(java.lang.String value)`
    `SCROLLAREANode` | `setStylevariant(java.lang.String value)`
    `SCROLLAREANode` | `setWidth(int value)`
    `SCROLLAREANode` | `setWidth(java.lang.String value)`
    `SCROLLAREANode` | `setX(int value)`
    `SCROLLAREANode` | `setX(java.lang.String value)`
    `SCROLLAREANode` | `setY(int value)`
    `SCROLLAREANode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCROLLAREANode

          public SCROLLAREANode()

  - ### Method Detail

    - #### setId

          public SCROLLAREANode setId(java.lang.String value)

    - #### setAnimatechangeofsize

          public SCROLLAREANode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SCROLLAREANode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SCROLLAREANode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SCROLLAREANode setAttributemacro(java.lang.String value)

    - #### setColspan

          public SCROLLAREANode setColspan(java.lang.String value)

    - #### bindColspan

          public SCROLLAREANode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SCROLLAREANode setColspan(int value)

    - #### setComment

          public SCROLLAREANode setComment(java.lang.String value)

    - #### bindComment

          public SCROLLAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SCROLLAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCROLLAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public SCROLLAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public SCROLLAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SCROLLAREANode setHeight(int value)

    - #### setReference

          public SCROLLAREANode setReference(java.lang.String value)

    - #### setRendered

          public SCROLLAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public SCROLLAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SCROLLAREANode setRendered(boolean value)

    - #### setRowalignmenty

          public SCROLLAREANode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SCROLLAREANode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setScrollmode

          public SCROLLAREANode setScrollmode(java.lang.String value)

    - #### bindScrollmode

          public SCROLLAREANode bindScrollmode(IDynamicContentBindingObject value)

    - #### setShadow

          public SCROLLAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public SCROLLAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SCROLLAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SCROLLAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public SCROLLAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public SCROLLAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SCROLLAREANode setWidth(int value)

    - #### setX

          public SCROLLAREANode setX(java.lang.String value)

    - #### bindX

          public SCROLLAREANode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SCROLLAREANode setX(int value)

    - #### setY

          public SCROLLAREANode setY(java.lang.String value)

    - #### bindY

          public SCROLLAREANode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SCROLLAREANode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.